﻿using Aquaforest.PDF;
using Aquaforest.PDF.Font;

namespace CSVToPDF
{
    internal class CSVToPDF
    {
        private static void Main(string[] args)
        {
            //Assign Licence Key
            PDFToolkit.LicenseKey = "MD1TdGFuZGFyZCBEZXZlbG9wZXI7MT10cmlhbDsyPTUyNDc3NzQ2NTM5ODM5Mjc4ODk7Mz10cmlhbDs0PTE7NT1UcnVlOzUuMT1GYWxzZTsxMD0xNDs4PTE1RTgzRUY4NkY4QkI4N0I5MjBDN0IwMDQxN0M2RDY5RTQ2NDlGRTUzNDE1MUYwQTg0MjQ2NzhEMDUyNEY5Q0U7OT0yLjEuMC4w";
            string inputFile = @"..\documents\source\csv_input.csv";
            string outputFile = @"..\documents\output\csv_output.pdf";
            // The page settings of the output PDF
            PDFPageSettings pageSettings = new PDFPageSettings();
            pageSettings.Font = PDFType1Font.HELVETICA;
            pageSettings.FontSize = 12;
            pageSettings.SetMargin(50, 50, 50, 50);
            pageSettings.SetSize(PageSize.A4);

            // The settings of the table in the output PDF
            PDFTableSettings tableSettings = new PDFTableSettings()
            {
                CellMargin = 5,
                RowHeight = 20
            };

            ConvertCSVToPDF(inputFile, outputFile, pageSettings, tableSettings);
        }

        public static void ConvertCSVToPDF(string input, string output, PDFPageSettings pageSettings, PDFTableSettings tableSettings)
        {
            CSVToPDFConverter csv = new CSVToPDFConverter(input);
            csv.ConvertToPDF(output, pageSettings, tableSettings);
        }
    }
}