﻿using Aquaforest.PDF;
using Aquaforest.PDF.Font;
using System;

namespace CreatePDF
{
    internal class CreateNewPDF
    {
        // Create a PDF document
        private static void Main(string[] args)
        {
            //Assign Licence Key
            PDFToolkit.LicenseKey = "MD1TdGFuZGFyZCBEZXZlbG9wZXI7MT10cmlhbDsyPTUyNDc3NzQ2NTM5ODM5Mjc4ODk7Mz10cmlhbDs0PTE7NT1UcnVlOzUuMT1GYWxzZTsxMD0xNDs4PTE1RTgzRUY4NkY4QkI4N0I5MjBDN0IwMDQxN0M2RDY5RTQ2NDlGRTUzNDE1MUYwQTg0MjQ2NzhEMDUyNEY5Q0U7OT0yLjEuMC4w";
            PDFDocument doc = new PDFDocument();
            PDFPage page = new PDFPage();
            // Add text to page
            PDFPageContentStream contents = new PDFPageContentStream(doc, page);
            contents.BeginText();
            contents.SetFont(PDFType1Font.COURIER_BOLD, 12);
            contents.MoveText(100, 700);
            contents.DrawString("Hello World!");
            contents.EndText();
            contents.Close();

            // Add metadata
            PDFDocumentInformation info = new PDFDocumentInformation()
            {
                Author = "Name Surname",
                Subject = "Test",
                Title = "New PDF",
                Keywords = "PDF, OCR, SDK",
                CreationDate = new DateTime(2013, 9, 9),
                Producer = "Aquaforest"
            };
            info.SetCustomMetadataValue("AQUAFOREST_PDF_TOOLKIT", "1.01");
            doc.SetDocumentInformation(info);

            // Add page to PDF document
            doc.AddPage(page);

            doc.Save(@"..\documents\output\pdf_out.pdf");
            doc.Close();
        }
    }
}