﻿namespace PDFToolkitCMD
{
    internal class PDFToolkitArguements
    {
        public string Source { get; set; }
        public string Attachments { get; set; }
        public string Bookmarks { get; set; }
        public string SourceType { get; set; }
        public string Operation { get; set; }
        public string StampText { get; set; }
        public string StampPrefix { get; set; }
        public string StampColor { get; set; }
        public string StampSuffix { get; set; }
        public string Permissions { get; set; }
        public string Metadata { get; set; }
        public string OpenSettings { get; set; }
        public string SplitRange { get; set; }
        public int RepeatingRange { get; set; }
        public string StampObject { get; set; }
        public string TargetFolder { get; set; }
        public string OutputFile { get; set; }
        public string XmpFile { get; set; }
        public string Password { get; set; }
        public string UserPassword { get; set; }
        public string OwnerPassword { get; set; }
        public int StartPage { get; set; }
        public int PageNumber { get; set; }
        public int EndPage { get; set; }
        public int Opacity { get; set; }
        public float FontSize { get; set; }
        public float RightMargin { get; set; }
        public float TopMargin { get; set; }
        public float LeftMargin { get; set; }
        public float PageHeight { get; set; }
        public float PageWidth { get; set; }
        public float BottomMargin { get; set; }
        public float RowHeight { get; set; }
        public float CellMargin { get; set; }
        public float XCoord { get; set; }
        public float YCoord { get; set; }
        public float Length { get; set; }
        public float Width { get; set; }
        public int BateLength { get; set; }
        public int StartNumber { get; set; }
        public string Overlay { get; set; }
        public string Font { get; set; }
        public string MergeWildCards { get; set; }
        public bool OnErrorContinue { get; set; }
        public bool Pdfa { get; set; }
        public bool IncludeProperty { get; set; }
        public bool ConvertBookmark { get; set; }
        public bool EmbedFont { get; set; }
        public bool CreateFolders { get; set; }
        public bool Overwrite { get; set; }
        public string PDFAVersion { get; set; }
    }
}