﻿using Aquaforest.PDF;
using System;

namespace SetAndGetPDFOpensettings
{
    internal class Opensettings
    {
        //Assign Licence Key
        private static void Main(string[] args)
        {
            //Assign Licence Key
            PDFToolkit.LicenseKey = "MD1TdGFuZGFyZCBEZXZlbG9wZXI7MT10cmlhbDsyPTUyNDc3NzQ2NTM5ODM5Mjc4ODk7Mz10cmlhbDs0PTE7NT1UcnVlOzUuMT1GYWxzZTsxMD0xNDs4PTE1RTgzRUY4NkY4QkI4N0I5MjBDN0IwMDQxN0M2RDY5RTQ2NDlGRTUzNDE1MUYwQTg0MjQ2NzhEMDUyNEY5Q0U7OT0yLjEuMC4w";
            string inputFile = @"..\documents\source\releasenotes.pdf";
            string outputFile = @"..\documents\output\setoptions.pdf";
            SetOpenOptions(inputFile, outputFile);
            ReadOpenOptions(outputFile);
        }

        public static void SetOpenOptions(string input, string output)
        {
            try
            {
                PDFDocument doc = new PDFDocument(input);
                //Create the opensettings object
                PDFDocumentOpenSetting opensetting = new PDFDocumentOpenSetting(doc);
                opensetting.PDFPageMode = PageModeOptions.FULL_SCREEN;
                opensetting.NonFullScreenPageMode = NonFullScreenModeOptions.UseThumbs;
                opensetting.HideWindowUI = true;
                opensetting.CenterWindow = true;
                opensetting.PDFPageLayout = PageLayoutOptions.ONE_COLUMN;
                opensetting.HideToolbar = true;
                opensetting.HideMenubar = true;
                opensetting.SaveOpenSettings(output);
                doc.Close();
            }
            catch (Exception)
            {
            }
        }

        public static void ReadOpenOptions(string input)
        {
            PDFDocument doc = new PDFDocument(input);
            PDFDocumentOpenSetting opensetting = new PDFDocumentOpenSetting(doc);
            Console.WriteLine("PageLayout = {0}, PageMode = {1}, HideWindowUI = {2} .", opensetting.PDFPageLayout, opensetting.PDFPageMode, opensetting.HideWindowUI);
            doc.Close();
        }
    }
}