﻿using Aquaforest.PDF;
using System;
using System.Xml;

namespace SetAndGetXMPMetadata
{
    internal class SetGetXMPMetadata
    {
        private static PDFDocument doc;

        private static void Main(string[] args)
        {
            //Assign Licence Key
            PDFToolkit.LicenseKey = "MD1TdGFuZGFyZCBEZXZlbG9wZXI7MT10cmlhbDsyPTUyNDc3NzQ2NTM5ODM5Mjc4ODk7Mz10cmlhbDs0PTE7NT1UcnVlOzUuMT1GYWxzZTsxMD0xNDs4PTE1RTgzRUY4NkY4QkI4N0I5MjBDN0IwMDQxN0M2RDY5RTQ2NDlGRTUzNDE1MUYwQTg0MjQ2NzhEMDUyNEY5Q0U7OT0yLjEuMC4w";
            string inputFile = @"..\documents\source\releasenotes.pdf";
            string outputFile = @"..\documents\output\releasenotes_xmp.pdf";
            string xmpFile = @"..\documents\source\xmp.xml";

            SetXMP(inputFile, outputFile, xmpFile);

            GetXMP(outputFile);
        }

        private static void SetXMP(string input, string output, string xmlXmp)
        {
            try
            {
                XmlDocument xmp = new XmlDocument();
                xmp.Load(xmlXmp);

                doc = new PDFDocument(input);
                doc.SetXMPMetadata(xmp);
                doc.Save(output);
            }
            catch (Exception)
            {
            }
        }

        private static void GetXMP(string inputFile)
        {
            try
            {
                doc = new PDFDocument(inputFile);
                var xmp = doc.GetXMPMetadata();

                Console.WriteLine(xmp);
            }
            catch (Exception e)
            {
                Console.WriteLine(e.Message);
            }
        }
    }
}