﻿using Aquaforest.PDF;
using System;
using System.Collections.Generic;

namespace PDFAnnotations
{
    internal class PDFAnnotations
    {
        private static void Main(string[] args)
        {
            //Assign Licence Key
            PDFToolkit.LicenseKey = "MD1TdGFuZGFyZCBEZXZlbG9wZXI7MT10cmlhbDsyPTUyNDc3NzQ2NTM5ODM5Mjc4ODk7Mz10cmlhbDs0PTE7NT1UcnVlOzUuMT1GYWxzZTsxMD0xNDs4PTE1RTgzRUY4NkY4QkI4N0I5MjBDN0IwMDQxN0M2RDY5RTQ2NDlGRTUzNDE1MUYwQTg0MjQ2NzhEMDUyNEY5Q0U7OT0yLjEuMC4w";
            string inputFile = @"..\documents\source\image_pdf.pdf";
            string outputFile = @"..\documents\output\pdfannotations.pdf";
            PDFRectangle rect = new PDFRectangle(10, 10, 400, 50);
            PDFAnnotation annotation = new PDFAnnotation(PDFAnnotationType.PDFAnnotationRubberStamp, rect, "PDF Tookit", PDFRubberStampImages.NotForPublicRelease);
            PDFAnnotation annotation1 = new PDFAnnotation(PDFAnnotationType.PDFAnnotationRubberStamp, rect, "PDF Tookit", PDFRubberStampImages.NotApproved);
            PDFAnnotation annotation3 = new PDFAnnotation(PDFAnnotationType.PDFAnnotationTextMarkup, rect, "PDF Tookit");
            PDFAnnotation annotation5 = new PDFAnnotation(PDFAnnotationType.PDFAnnotationLink, rect, "PDF Tookit");
            PDFAnnotation annotation6 = new PDFAnnotation(PDFAnnotationType.PDFAnnotationLine, rect, "PDF Tookit", PDFAnnotationLineSubtypes.SQUARE);

            Dictionary<int, PDFAnnotation> annotaions = new Dictionary<int, PDFAnnotation>();
            annotation5.LinkURL = "https://www.aquaforest.com/en/pdftoolkit.asp";
            annotation3.AnnotationColor = PDFColor.Yellow;
            annotaions.Add(1, annotation);
            annotaions.Add(2, annotation1);
            annotaions.Add(3, annotation3);
            //annotaions.Add(4, annotation4);
            annotaions.Add(5, annotation5);
            annotaions.Add(6, annotation6);
            AddAnotations(inputFile, outputFile, annotaions);
        }

        public static void AddAnotations(string file, string output, Dictionary<int, PDFAnnotation> annotaions)
        {
            try
            {
                PDFDocument pdfDoc = new PDFDocument(file);
                foreach (var key in annotaions.Keys)
                {
                    pdfDoc.GetPage(key).AddAnnotation(annotaions[key], pdfDoc);
                }

                pdfDoc.Save(output);
                pdfDoc.Close();
            }
            catch (Exception)
            { }
        }
    }
}